3gs with old boot rom 3.1.2. Jb with? Keep it safe?

Discussion in 'Jailbreaks and iOS Hacks' started by fsubeachdude, Feb 22, 2010.

  1. fsubeachdude macrumors newbie

    Joined:
    Feb 19, 2010
    #1
    I have a 3gs, 3.1.2 (7D11), firmware 05.11.07, Model MB717LL. According to what I've read and using f0recast, I have a beautiful old bootrom 3gs and should be able to JB using blackra1n. That said, I've read a lot through the forum to update my JB knowledge in since I JB my original phone months ago and it doesn't appear that you can back up shsh anymore with saurick for 3.1.2 so what is the best way to JB and keep it JB? It looks like sn0wbreeze is my only option to JB and keep a custom shsh while operating as a 3.1.3 phone. I am a windows 7 user and do not want to JB with blackra1n again only to have the phone crash shortly after and be stuck with a stock 3.1.3 phone.

    Thank you .:cool:
     
  2. pixelated macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #2
    really? because you questions have been answered many times before.

    You can JB and hope you are not forced into a restore or wait for a JB for 3.1.3

    Sn0wbreeze cannot JB a 3Gs (any iphone?) already on 3.1.3, so if you crash and have to factory restore it wont be much help.
     
  3. fsubeachdude thread starter macrumors newbie

    Joined:
    Feb 19, 2010
    #3
    I did read a lot on this and other forums and haven't seen the answers to the important question of whether I can have a backed up custom firmware with sn0wbreeze? I know I can JB with blackra1n and have read that after that, sn0wbreeze can create custom firmware for the phone to operate as a 3.1.3. I am not asking about JB a 3.1.3. Bedtime in Hawaii.
     
  4. gixxerfool macrumors 6502a

    gixxerfool

    Joined:
    Jun 7, 2008
    #4
    As far as I'm aware sn0wbreeze won't help like you think. It's about the firmware signing when you restore. Your only option would be to have had your SHSH files on sauriks server BEFORE Apple stopped signing.

    I would recommend using redsn0w 0.9.2. That's what I used. It's not as simplistic as blackra1n but I haven't had any of the issues the some of the blackra1n users have had.
     
  5. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #5
    +1. Sn0wbreeze does nothing that PwnageTool doesn't already do better, and it was written by a code thief and copyleft infringer with very little regard for the jailbreak community. Avoid.
     
  6. fsubeachdude thread starter macrumors newbie

    Joined:
    Feb 19, 2010
    #6
    Ok, copy all. I cannot use pwnage tool because I am on windows 7 but will look into redsnow more for a stable jailbreak. Thanks for the help. I'm just really cautious now that I know one lock up could screw me into 3.1.3
     
  7. gixxerfool macrumors 6502a

    gixxerfool

    Joined:
    Jun 7, 2008
    #7
    It's really straight forward. I read through thr iclarified tutorial a bunch o times to make sure I had everything in order first. I found that reading the actual instructions in the tutorial and ignoring the screens instructions during the process was the correct procedure. I assume some of the screens are the same from older JB versions and they didnt update them. This really only applies to one step but other than that it was all the same.
     
  8. DannyBres macrumors 65816

    DannyBres

    Joined:
    Oct 30, 2007
    Location:
    UK
    #8
    Ok, GF just got a legit 3GS, it came with 3.1.2 we have updated to stock 3.1.3 can we just just the latest pwnage tool on it and it will jailbreak? Or can certain 3gs's only be tethered jailbroken and we need to check this first?
     
  9. gixxerfool macrumors 6502a

    gixxerfool

    Joined:
    Jun 7, 2008
    #9
    unless I missed something you're SOL. 3.1.3 has no jailbreak yet. If I missed the announcement that one was released, you will have to wait.
     
  10. DannyBres macrumors 65816

    DannyBres

    Joined:
    Oct 30, 2007
    Location:
    UK
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #11
    Here is a quote from DevTeam blog:

    If you have an iPhone 3GS, PwnageTool works if you’re currently at version 3.1.2 or below (down to 3.0). You don’t need to be already jailbroken — PwnageTool will ask you if you’re jailbroken after you’ve created the IPSW. Don’t use PwnageTool on the iPhone 3GS if you’re at 3.1.3, it just won’t work. Downgrade to 3.1.2 using the methods described here. If you can’t downgrade because you don’t have your 3GS 3.1.2 hashes on file with Cydia, you’ll need to sit out the 3.1.3 jailbreak.

    So unless you have your SHSH hashes saved from being previously JB, PT will not JB your 3GS which you updated to stock 3.1.3.
     
  12. DannyBres macrumors 65816

    DannyBres

    Joined:
    Oct 30, 2007
    Location:
    UK
  13. MRU macrumors demi-god

    MRU

    Joined:
    Aug 23, 2005
    Location:
    Ireland
    #13
    I have a 16gb 3GS.

    Previously jailbroken.

    I just updated to 3.1.3 (my carrier just updated settings with the new firmware to offer legitimate tethering).

    Used Pwnage tool 3.1.5 and works no bother.

    Had to re-install few app's I use on cydia (mainly Categories and five icon dock).
     
  14. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #14
    You had your SHSH saved, correct ?
     
  15. MRU macrumors demi-god

    MRU

    Joined:
    Aug 23, 2005
    Location:
    Ireland
    #15
    They were saved in Cydia I believe, but I was on 3.1.2 then just used pwnage to make new 3.1.3 firmware and updated with that custom firmware.

    I did not update to standard 3.1.3 firmware at all, so I'm not sure if the files stored by Cydia were needed in this instance.
     
  16. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #16
    If you are already jailbroken, I don't believe so..
     

Share This Page